JDownloader Community - Appwork GmbH
 

Reply
 
Thread Tools Display Modes
  #1  
Old 19.03.2014, 15:47
ror ror is offline
JD Alpha
 
Join Date: Feb 2012
Posts: 24
Default JRE 8 gives "Wrong Java version" warning

Hello,

today I installed the new Java Runtime Environment stable version (8.0) on both my desktop (JRE 32bit, so Java can be seen by Firefox ) and laptop (JRE 64bit).

Both machines run Windows 8.1 64bit, and on both of them since the upgrade everytime i start JDownloader i get a warning telling the installed Java version is "wrong" and "not original". When I click "Ok" JDownloader starts and works fine as always, so this is just an annoyance I thought I'd let you know about.

Screenshot of the warning:
Reply With Quote
  #2  
Old 19.03.2014, 16:06
raztoki's Avatar
raztoki raztoki is offline
English Supporter
 
Join Date: Apr 2010
Location: Australia
Posts: 16,290
Default

for JDownloader 0.9.581 ?
__________________
raztoki @ jDownloader reporter/developer
http://svn.jdownloader.org/users/170

Don't fight the system, use it to your advantage. :]
Reply With Quote
  #3  
Old 19.03.2014, 17:37
djmakinera djmakinera is offline
JD Legend
 
Join Date: May 2010
Location: Poland
Posts: 8,353
Default

JRE 8 - JD2 will work - it is compatible?
Reply With Quote
  #4  
Old 19.03.2014, 18:32
Lram32's Avatar
Lram32 Lram32 is offline
Spanish Supporter
 
Join Date: Jul 2012
Location: Dark side of the moon
Posts: 9,908
Default

http://svn.jdownloader.org/issues/20144#change-46836
__________________
» Setup JD2 / Instalador de JD2 «
Spoiler:

Installer for Windows XP/Vista/Seven/Eight
|| JD2 x86 - x64 (Beta) ||

Installer for Mac
|| JD2 (Beta) ||

Installers for Linux
|| JD2 (Beta) x86 || <---> || JD2 (Beta) x64 ||

How to Create a Log
-» Click Here «-


¿Cómo crear un registro?
-» Click Aquí «-


Support Chat / Chat de Soporte
-» Click Here / Click Aquí «-


Reply With Quote
  #5  
Old 19.03.2014, 19:10
ror ror is offline
JD Alpha
 
Join Date: Feb 2012
Posts: 24
Default

Quote:
Originally Posted by raztoki View Post
for JDownloader 0.9.581 ?
Yes.
Reply With Quote
  #6  
Old 19.03.2014, 19:25
Lram32's Avatar
Lram32 Lram32 is offline
Spanish Supporter
 
Join Date: Jul 2012
Location: Dark side of the moon
Posts: 9,908
Default

For JD 0.9.581 Java 1.6 is required. Such version was developed under Java 1.6, that's the reason why you have to use Java 1.6. If you use other java version, you could get some incompatibility problems (like that you have now).

If you want to keep/use Java 8 (1.8), I recomend to you upgrade to JD2.

Greetings,
__________________
» Setup JD2 / Instalador de JD2 «
Spoiler:

Installer for Windows XP/Vista/Seven/Eight
|| JD2 x86 - x64 (Beta) ||

Installer for Mac
|| JD2 (Beta) ||

Installers for Linux
|| JD2 (Beta) x86 || <---> || JD2 (Beta) x64 ||

How to Create a Log
-» Click Here «-


¿Cómo crear un registro?
-» Click Aquí «-


Support Chat / Chat de Soporte
-» Click Here / Click Aquí «-


Reply With Quote
  #7  
Old 20.03.2014, 05:11
raztoki's Avatar
raztoki raztoki is offline
English Supporter
 
Join Date: Apr 2010
Location: Australia
Posts: 16,290
Default

we cant do any core updates to 0.9 so what's there is there.. warnings are such to indicate that it wasn't designed with that version of java in mind.
__________________
raztoki @ jDownloader reporter/developer
http://svn.jdownloader.org/users/170

Don't fight the system, use it to your advantage. :]
Reply With Quote
  #8  
Old 20.03.2014, 13:59
unknownsoldierx unknownsoldierx is offline
JD Alpha
 
Join Date: May 2009
Posts: 21
Default

The warning is annoying, but I have been using 0.9.581 with JRE8 without any problems.
Reply With Quote
  #9  
Old 20.03.2014, 16:10
Lram32's Avatar
Lram32 Lram32 is offline
Spanish Supporter
 
Join Date: Jul 2012
Location: Dark side of the moon
Posts: 9,908
Default

Quote:
Originally Posted by unknownsoldierx View Post
...but I have been using 0.9.581 with JRE8 without any problems.
Thanks for the feedback.

Hope you won't get any problem, because with Java 1.7 some users has had some problems, like clipboard broken, some GUI problems; I saw such problems via teamviewer.

Greetings,
__________________
» Setup JD2 / Instalador de JD2 «
Spoiler:

Installer for Windows XP/Vista/Seven/Eight
|| JD2 x86 - x64 (Beta) ||

Installer for Mac
|| JD2 (Beta) ||

Installers for Linux
|| JD2 (Beta) x86 || <---> || JD2 (Beta) x64 ||

How to Create a Log
-» Click Here «-


¿Cómo crear un registro?
-» Click Aquí «-


Support Chat / Chat de Soporte
-» Click Here / Click Aquí «-


Reply With Quote
  #10  
Old 21.03.2014, 14:15
ror ror is offline
JD Alpha
 
Join Date: Feb 2012
Posts: 24
Default

Quote:
Originally Posted by Lram32 View Post
For JD 0.9.581 Java 1.6 is required. Such version was developed under Java 1.6, that's the reason why you have to use Java 1.6. If you use other java version, you could get some incompatibility problems (like that you have now).

If you want to keep/use Java 8 (1.8), I recomend to you upgrade to JD2.

Greetings,
Will upgrade asap, thanks! As others said, it's just a small annoyance but everything seems to work just fine (though with Java 7/1.7 JD didn't show the warning message even if it was not "officially" compatible).
Reply With Quote
  #11  
Old 24.01.2015, 20:26
gonwk gonwk is offline
JD Beta
 
Join Date: Nov 2011
Posts: 56
Question

Hi folks,

So, I got the same warning as "ror" ... so, I have couple of Questions from Experts and a Comment ...

I have both JD1 (JD 0.9.581) and JD2 in portable version. Well, I have tried JD2 as Portable but I am not sure if I have it right ... since I used the JAR method.

The reason I DO NOT use JD2 is because it never Works for me. I put in my Link and Never gets going, so I am not sure what the heck is wrong with it.

Whereas JD1 is like bullet-proof ... works like a magic ... I like to be in control, so I add the link(s) that I want into the Linkgrabber Panel and say which ones I want to get started ... viola, JD1 gets going and does what it does Best.

Q1: So, what is the Benefit of Java 1.8 (Version 8) over Java 1.6 (Version 6)?

Q2: Does Java upgrade plug any Security Holes?

Q3: Where do u download Java 1.6?

Q4: Why JDownloader Team does not Provide a "Working" Copy of Portable JD2?

Thanks,

G!
Reply With Quote
  #12  
Old 24.01.2015, 20:36
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,915
Default

@gonwk
1. Apart from the security fixed - see here:
oracle.com/technetwork/java/javase/8-whats-new-2157071.html

2. See 1.

3. You don't need it unless you use JD1.

4. It does - well not completely right now but if you grab the installer and install it, you can simply take the install-directory of JD2 and use it wherever you want - it IS portable!

Then about your "jd1 is bulletproof" and non-starting downloads:
Detailed problem description is missing.
If you were right, wouldn't a lot more users also complain?
Yes - and this is not the case!

GreeZ psp
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Reply With Quote
  #13  
Old 24.01.2015, 21:15
gonwk gonwk is offline
JD Beta
 
Join Date: Nov 2011
Posts: 56
Smile

Hi pspzockerscene,

First of all, YOU & all the MODs here have been So Kind and Helpful. With that said ... I want to CONGRATULATE you folks on Fixing JD2 ...

1) My JAR JD2 application got updated today and viola is working the way I want it ... I can Manually Add Links in "LinkGrabber" pane and Choose only the ones that I want to go to "Downloads" pane. Yayyyy.

2) What I meant by Bullet-Proof on JD1 is that the Application has NEVER let me down ... works like a Charm, a Heavy Duty "Work Horse".

Q1: PSP, Once I use the Installer for JD2 and I copy the Entire Folder and move it somewhere else, CAN I then Uninstall the Installed Version?

The Only reason, I prefer Portable, so I can use BOTH JD1 and JD2 ... if one gives me a hard time.

THANKS again pspzockerscene.

G!
Reply With Quote
  #14  
Old 24.01.2015, 21:21
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,915
Default

Q1: Yes you can then uninstall it.
You can post more detailed JD2 feedback HERE so we can improve JD

GreeZ psp
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Reply With Quote
  #15  
Old 25.01.2015, 01:43
raztoki's Avatar
raztoki raztoki is offline
English Supporter
 
Join Date: Apr 2010
Location: Australia
Posts: 16,290
Default

installers give you shortcuts, file associations (dlc/etc), and provide binary support (exe) soon as you uninstall you loose shortcut & file association benefits.

You can download the jar or zip packages from our installer pages and run jdownloader.jar and it be portable also, just you wont have shortcuts, file associations, or binary support.
__________________
raztoki @ jDownloader reporter/developer
http://svn.jdownloader.org/users/170

Don't fight the system, use it to your advantage. :]
Reply With Quote
  #16  
Old 25.01.2015, 11:58
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,915
Default

I was just about to say - usually you never have file associations for portable apps.

GreeZ psp
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Reply With Quote
Old 26.01.2015, 11:04
bugnotme
Message deleted by Lram32. Reason: Not necessary
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 15:34.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.